com.impinj.octane

## Enum MarginReadResult

- java.lang.Object
- - java.lang.Enum<MarginReadResult>
  - - com.impinj.octane.MarginReadResult

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MarginReadResult>

      public enum MarginReadResult
      extends java.lang.Enum<MarginReadResult>

  An enumeration to hold the margin read result.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Failure` The operation failed.
    `IncorrectPasswordError` The operation failed because an incorrect password was supplied.
    `InsufficientPower` There was insufficient power to perform the operation.
    `NonspecificReaderError` The reader operation failed for an unknown reason.
    `NonspecificTagError` The tag operation failed for an unknown reason.
    `NoResponseFromTag` The operation failed because the reader did not receive a response from the tag.
    `Success` The operation was successful.
    `TagMemoryLockedError` The operation failed because it attempted to access memory that is locked.
    `TagMemoryOverrunError` The operation failed because it attempted to access memory outside of the valid range.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static MarginReadResult` | `valueOf(int marginReadResultValue)`
    `static MarginReadResult` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MarginReadResult[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Success

          public static final MarginReadResult Success

      The operation was successful.

    - #### Failure

          public static final MarginReadResult Failure

      The operation failed.

    - #### InsufficientPower

          public static final MarginReadResult InsufficientPower

      There was insufficient power to perform the operation.

    - #### NonspecificTagError

          public static final MarginReadResult NonspecificTagError

      The tag operation failed for an unknown reason.

    - #### NoResponseFromTag

          public static final MarginReadResult NoResponseFromTag

      The operation failed because the reader did not receive a response from the tag.

    - #### NonspecificReaderError

          public static final MarginReadResult NonspecificReaderError

      The reader operation failed for an unknown reason.

    - #### IncorrectPasswordError

          public static final MarginReadResult IncorrectPasswordError

      The operation failed because an incorrect password was supplied.

    - #### TagMemoryOverrunError

          public static final MarginReadResult TagMemoryOverrunError

      The operation failed because it attempted to access memory outside of the valid range.

    - #### TagMemoryLockedError

          public static final MarginReadResult TagMemoryLockedError

      The operation failed because it attempted to access memory that is locked.

  - ### Method Detail

    - #### values

          public static MarginReadResult[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MarginReadResult c : MarginReadResult.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MarginReadResult valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static MarginReadResult valueOf(int marginReadResultValue)

      Parameters:
        `marginReadResultValue` - an integer value
      Returns:
        the margin read result enumeration object

    - #### getValue

          public int getValue()

      Returns:
        the margin read result as an integer